package com.mvc.dao;

import com.mvc.entity.TaskBatchRemoteDetail;
import com.mvc.entity.TaskBatchRemoteDetailExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TaskBatchRemoteDetailMapper {
    long countByExample(TaskBatchRemoteDetailExample example);

    int deleteByExample(TaskBatchRemoteDetailExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TaskBatchRemoteDetail record);

    int insertSelective(TaskBatchRemoteDetail record);

    List<TaskBatchRemoteDetail> selectByExample(TaskBatchRemoteDetailExample example);

    TaskBatchRemoteDetail selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TaskBatchRemoteDetail record, @Param("example") TaskBatchRemoteDetailExample example);

    int updateByExample(@Param("record") TaskBatchRemoteDetail record, @Param("example") TaskBatchRemoteDetailExample example);

    int updateByPrimaryKeySelective(TaskBatchRemoteDetail record);

    int updateByPrimaryKey(TaskBatchRemoteDetail record);
}